<template>
    <div class="page-container">
        <div class="sms-form-title">
            What countries would you like to send SMS to?
        </div>
        <Countries
            v-model="countries"
            active
        />
        <button
            type="button"
            class="btn blue-btn"
            @click="submitForm"
        >
            Save
        </button>
    </div>
</template>

<script>
import countries from '@/mixins/sms/countries.service';
import Countries from '@/components/elements/Countries.vue';

export default {
    name: "SmsCountries",
    components: {Countries},
    mixins: [countries],
    data() {
        return {
            countries: null,
        }
    },
    methods: {
        submitForm() {
            this.updateCountries({ countries: this.countries}).then(response => {
                this.$notify({
                    type: 'success',
                    title: 'Updated'
                });
            }).catch(error => {
                console.log(error)
            });
        }
    }
}
</script>

<style lang="scss" scoped>
@import '../../../../css/elements/countries.scss';
.blue-btn {
    right: 49px;
    bottom: 115px;
    z-index: 10000;
}
@media(max-width: 560px) {
    .blue-btn {
        right: 15px;
    }
}
</style>

